//temp lights

textures/masheen/sw_bulb_lit_10k
{
	qer_editorimage textures/masheen/sw_bulb_lit.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_lit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//reworked corona

textures/masheen/corona
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/masheen/corona.jpg
            blendFunc GL_ONE GL_ONE
          }
}


textures/masheen/sw_fence
{
	qer_editor_image textures/masheen/sw_fence.tga
	qer_trans 0.40
	cull disable
	{
		map textures/masheen/sw_fence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



//flickering street lamp shaders
//reduced number of stages


textures/masheen/anim_street2
{
	qer_editorimage textures/masheen/beam_1_sodium.tga
	surfaceparm nodamage
//	q3map_surfacelight 200

//added
	qer_trans 0.40
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap

	
	{
		map textures/masheen/anim_img07.tga
		blendFunc add
		rgbGen identity
	}
	

	
	{
		animMap 2 textures/masheen/beam_1_sodium.tga textures/masheen/beam_1_sodium.tga textures/masheen/anim_img07.tga textures/masheen/anim_img07.tga textures/masheen/anim_img07.tga textures/masheen/anim_img07.tga textures/masheen/anim_img07.tga textures/masheen/anim_img07.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}

	
}

textures/masheen/anim_street1
{
	qer_editorimage textures/masheen/beam_1_sodium.tga
	surfaceparm nodamage
//	q3map_surfacelight 200

//added
	qer_trans 0.40
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap

	
	{
		map textures/masheen/anim_img07.tga
		blendFunc add
		rgbGen identity
	}
	{
		animMap 2 textures/masheen/beam_1_sodium.tga textures/masheen/anim_img07.tga textures/masheen/anim_img07.tga textures/masheen/anim_img07.tga textures/masheen/beam_1_sodium.tga textures/masheen/beam_1_sodium.tga textures/masheen/anim_img07.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}

	
}


textures/masheen/animtest
{
	qer_editorimage textures/masheen/anim01.tga
	surfaceparm nodamage
	q3map_surfacelight 200

	
	{
		map textures/masheen/anim01.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/masheen/anim_img01.tga textures/masheen/anim_img02.tga textures/masheen/anim_img03.tga textures/masheen/anim_img04.tga textures/masheen/anim_img05.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}

	
}


// vehicle lights - coloured lights
textures/masheen/rear_red_100
{
	qer_trans 0.70
	qer_editorimage textures/masheen/gtk_rear_light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1
	
	q3map_surfacelight 100
	q3map_lightimage textures/masheen/rear_light_red.tga
}



//playing with gate for forums
textures/masheen/sw_gate
{
	qer_editor_image textures/masheen/sw_gate.tga
	qer_trans 0.40
	cull disable
		{
		map textures/masheen/sw_gate.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//an attempt at a canvas awning

textures/masheen/sn_canvas
{   
	qer_editorimage textures/masheen/sn_canvas1.jpg
	qer_trans 0.60
	surfaceparm nonsolid
	surfaceparm playerclip
         {
		map textures/masheen/sn_canvas1.jpg
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


//an attempt at a light emitting window
//for a night setting

textures/masheen/night_window1
{
	qer_editorimage textures/masheen/window3.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/masheen/window3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/masheen/window3_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/masheen/night_window2
{
	qer_editorimage textures/masheen/window4.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/masheen/window4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/masheen/window4_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/masheen/beam_dusty_incand
{
	qer_editorimage textures/masheen/beam_1_incand.tga
	qer_trans 0.40
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/masheen/beam_1_incand.tga
		tcMod Scroll .3 0		
		blendFunc add
      }
}

textures/masheen/beam_dusty_sodium
{
	qer_editorimage textures/masheen/beam_1_sodium.tga
	qer_trans 0.40
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/masheen/beam_1_sodium.tga
		tcMod Scroll .3 0		
		blendFunc add
      }
}

textures/masheen/street_1k
{
surfaceparm nomarks	
qer_editorimage textures/masheen/street1.tga
	{	
		map textures/masheen/street1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/masheen/street1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/masheen/window1
{
	{	
		map textures/masheen/window1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/masheen/window1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/masheen/window2
{
	{	
		map textures/masheen/window2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/masheen/window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/masheen/beam_dusty2
{
	qer_editorimage textures/masheen/beam_1.tga
	qer_trans 0.40
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	//surfaceparm nomipmaps
        //nopicmip
	{
		map textures/masheen/beam_1.tga
		//tcMod Scroll .3 0
                blendFunc add
        }
	//{
		//map textures/masheen/beamdust.tga
		//tcmod scale 2 2
		//tcMod turb 0 0.015 0.025 0.05
		//tcMod Scroll -0.15 0
		//blendFunc GL_ONE GL_ONE
	//}
	//{
		//map textures/masheen/beam_mask.tga
		//blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_COLOR  
	//}
}

textures/masheen/sw_bulb_red2_10k
{
	qer_editorimage textures/masheen/sw_bulb_lit.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_lit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_blend_red.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/masheen/red_10k
{
	qer_editorimage textures/masheen/sw_bulb_lit_red.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_lit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_blend_red.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/masheen/beam_dusty_red
{
	qer_editorimage textures/masheen/beam_1_red.tga
	qer_trans 0.40
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/masheen/beam_1_red.tga
		tcMod Scroll .3 0		
		blendFunc add
      }
}

textures/masheen/green_10k
{
	qer_editorimage textures/masheen/sw_bulb_lit_green.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_lit_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/masheen/sw_bulb_blend_green.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/masheen/beam_dusty_green
{
	qer_editorimage textures/masheen/beam_1_green.tga
	qer_trans 0.40
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/masheen/beam_1_green.tga
		tcMod Scroll .3 0		
		blendFunc add
      }
}




// new lights

textures/masheen/fitting_10k
{
	qer_editorimage textures/masheen/light_fitting.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/masheen/light_fitting.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/masheen/light_fitting_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
